org.modeshape.jcr.query.model

## Class FullTextSearch.Conjunction

- java.lang.Object
- - org.modeshape.jcr.query.model.FullTextSearch.CompoundTerm
  - - org.modeshape.jcr.query.model.FullTextSearch.Conjunction

- All Implemented Interfaces:
    Iterable<FullTextSearch.Term>, FullTextSearch.Term
  Enclosing class:
    FullTextSearch

      public static class FullTextSearch.Conjunction
      extends FullTextSearch.CompoundTerm

  A set of `FullTextSearch.Term`s that are ANDed together.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullTextSearch.Conjunction(List<FullTextSearch.Term> terms)` Create a conjunction of the supplied terms.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(String value)` Checks if the term matches (from a FTS perspective) the given value.
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.query.model.FullTextSearch.CompoundTerm

      `equals, getTerms, hashCode, iterator, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FullTextSearch.Conjunction

          public FullTextSearch.Conjunction(List<FullTextSearch.Term> terms)

      Create a conjunction of the supplied terms.
      Parameters:
        `terms` - the terms to be ANDed together; may not be null or empty

  - ### Method Detail

    - #### matches

          public boolean matches(String value)

      Description copied from interface: `FullTextSearch.Term`
      Checks if the term matches (from a FTS perspective) the given value.
      Parameters:
        `value` - a non-null string
      Returns:
        `true` if the term matches the value, `false` otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.